Warning: Can't synchronize with repository "(default)" (Unsupported version control system "svn": No module named svn). Look in the Trac log for more information.

Ticket #876 (closed enhancement: fixed)

Opened 12 years ago

Last modified 10 years ago

[PATCH] - default identity provider

Reported by: rpk@… Owned by: jorge.vargas
Priority: normal Milestone: 1.0b1
Component: Identity Version: 0.9a5
Severity: normal Keywords:
Cc:

Description

this is a patch that a member of my development team found for a project we're putting together based on turbogears. originally, she found this referenced here:

 http://groups.google.com/group/turbogears/browse_thread/thread/e1cd7e5e8cb26bba/9f8ae06fbe07bd5a

and we found it useful as well. please consider this for 1.0, thanks! bob

the patch (against .9a6):

=================================================================== --- init.py (revision 1476) +++ init.py (working copy) @@ -71,7 +71,10 @@

try:

provider= cherrypy.request.identityProvider

except AttributeError?:

  • provider= None

+ try: + provider = create_default_provider() + except: + provider= None

if provider is None:

if not request_available():

Attachments

tg_identity_init.diff Download (510 bytes) - added by rpk@… 12 years ago.
patch against identity/init.py

Change History

Changed 12 years ago by rpk@…

patch against identity/init.py

comment:1 Changed 11 years ago by jorge.vargas

  • Owner changed from anonymous to jorge.vargas

comment:2 Changed 11 years ago by kevin

  • Status changed from new to closed
  • Resolution set to fixed

committed in [1850]. thanks!

Note: See TracTickets for help on using tickets.